### Method

# EDataCal CalCache dup_component_revision

since: 3.26

#### Declaration [src]

    gchar*
    e_cal_cache_dup_component_revision (
      ECalCache* cal_cache,
      ICalComponent* icomp
    )

#### Description [src]

Returns the `icomp` revision, used to detect changes. The returned string should be freed with g_free(), when no longer needed.

Available since: 3.26

#### Parameters

`icomp`

  Type: `None`

  An `ICalComponent`.

  The data is owned by the caller of the method.

#### Return value

Type: `gchar*`

A newly allocated string containing revision of the `icomp`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.